CVE-2008-3896

NameCVE-2008-3896
DescriptionGrub Legacy 0.97 and earlier stores pre-boot authentication passwords in the BIOS Keyboard buffer and does not clear this buffer before and after use, which allows local users to obtain sensitive information by reading the physical memory locations associated with this buffer.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
grub (PTS)stretch0.97-72vulnerable
buster0.97-75vulnerable
bullseye0.97-77vulnerable
bookworm, sid0.97-78vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
grubsource(unstable)(unfixed)unimportant

Notes

you need to be root on linux to do this, root can easily edit menu.lst anyway

Search for package or bug name: Reporting problems